org.apache.ignite.internal.processors.configuration.distributed

## Interface PropertyUpdateClosure

    public interface PropertyUpdateClosure

Closure of cluster wide update of distributed property.

### Method Summary

All Methods Instance Methods Abstract Methods
`GridFutureAdapter<?>` `casUpdate(String key, Serializable expectedValue, Serializable newValue)` Update property on cluster using compare and set way.
`GridFutureAdapter<?>` `update(String key, Serializable newValue)` Update property on cluster.

### Method Detail

#### update

    GridFutureAdapter<?> update(String key,
                                Serializable newValue)
                         throws IgniteCheckedException

Update property on cluster.

Parameters:
  `key` - Property key.
  `newValue` - New value.
Returns:
  Future this boolean value.
Throws:
  `IgniteCheckedException` - if failed.

#### casUpdate

    GridFutureAdapter<?> casUpdate(String key,
                                   Serializable expectedValue,
                                   Serializable newValue)
                            throws IgniteCheckedException

Update property on cluster using compare and set way.

Parameters:
  `key` - Property key.
  `expectedValue` - Expected value for CAS.
  `newValue` - New value.
Returns:
  Future this boolean value. * @throws IgniteCheckedException if failed.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022